# Change Notes

Breaking changes are distinguished by this symbol: 🔧

- v2.0.10
  - Added a input field, within Variable editor, that allows you to use Regex on the Display value of Variable
  - Added a checkbox field, within Variable editor, to filter out Variables that do not match Regex inputted
- v2.0.9
  - [OPL-6874] Fixed Checks dropdown in the query editor when filtered by Account
  - [OPL-7365] Fixed the Tag Filter ad-hoc variable inside of several dashboards 🔧
  - [OPL-7005] Selecting a top group anywhere in the plugin should now resolve to include all sub groups
  - [OPL-7295] Added a new field "Include Disabled Checks" which allows you to include or exclude checks which are disabled
  - [OPL-7006] Updated variables and dropdowns that only had the check ID to now include the name as well
  - [OPL-7364] Updated the Event query category to include Group level filtering
- v2.0.8
  - Added new field "Workday Inclusion" to the datasource configuration. It will receive a Timezone and start/end times. Setting these values will filter all SLA's from the Aggregate query category to be within the start/end times you configured with the set timezone. If you do not set any values in the datasource configuration then this filtering will be ignored.
- v2.0.7
  - Added new field "Drilldown URL" to the datasource configuration. Set this value to the URL you use to access the Apica System, then access it from any dashboard using the variable namespace "drilldownUrl" 🔧
  - Updated all dashboards to include the new drilldownUrl variable and used this variable in all drilldown links 🔧
- v2.0.6
  - Updated Metrics query when looking for all checks in a given tag or group to look for both returned_value and response_time metrics
- v2.0.5
  - Updated checks query to return ungrouped checks as well as grouped ones
  - Updated Metrics query to replace null values with 0's
  - Updated the plugin's logo
- v2.0.4
  - Fixed Grafana drilldown link in Apica Tags SLA dashboard
  - Fixed Apica data links on the gauge panel in Apica Groups SLA dashboard
  - Updated Metrics query. When selecting a Tag or Group without specifying a Check it will respond with the returned_value metric for all Checks in the given Tag or Group
- v2.0.3
  - Fixed error counts transformation in ApicaCheckSummaryStatuswithTags template dashboard
- v2.0.2
  - Added 2 new dashboards: (Apica Checks Summary Table and Apica Check Summary Status with Tags) 🔧
- v2.0.1

  - Fixed All events in single check query 🔧

- v2.0
  - First Release 🔧
